Subject: Re: bug#66663: 30.0.50; Allow dir locals file selection in *-dir-local-variable functions

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Oct 2023 15:45:37 +0300

> Cc: Juri Linkov <[email-masked]>
> Date: Sat, 21 Oct 2023 09:16:28 -0300
> From: Mauro Aranda <[email-masked]>
> 
> +Since both @file{.dir-locals.el} and @file{.dir-locals-2.el} file
> +might exist in the same directory, there may be some clash about which
> +file you want to modify when executing the above three commands.  To
> +solve that, all three of them take a prefix argument, to indicate
> +which file you want to modify.  When both files exist, a prefix
> +argument means to prefer to modify @file{.dir-locals.el} instead of
> +@file{.dir-locals-2.el}.  When one of the files doesn't exist, and
> +you're adding a variable or copying the file-local variables, a prefix
> +argument means to modify (i.e., create) the file that doesn't yet
> +exist.

I think a better UI is to ask the user when the command is invoked
with a prefix argument.